# -*- coding:UTF-8 -*-

from django.utils import timezone
from datetime import datetime,timedelta
import pytz


def PSTtoLocal(psd_st):
    """PST时间转本地时间（+8:00)"""
    locals_time = timezone.now()
    try:
        create_time = datetime.strptime(psd_st[:psd_st.find(' PST')].strip(),
                                        '%Y-%m-%d %H:%M:%S')
        locals_time = create_time + timedelta(hours=16)
        tz = pytz.timezone('Asia/Shanghai')
        return locals_time.replace(tzinfo=tz)
    except Exception,e:
        return locals_time

def PDTtoLocal(psd_st):
    """PDT时间转本地时间（+8:00)"""
    locals_time = timezone.now()
    try:
        create_time = datetime.strptime(psd_st[:psd_st.find(' PDT')].strip(),
                                        '%Y-%m-%d %H:%M:%S')
        locals_time = create_time + timedelta(hours=16)
        tz = pytz.timezone('Asia/Shanghai')
        return locals_time.replace(tzinfo=tz)
    except Exception, e:
        return locals_time

